Bug 24316 - CVE-2010-3357: insecure library loading
: CVE-2010-3357: insecure library loading
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnome-subtitles)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://bugs.debian.org/598289
: security
:
:
  Show dependency tree
 
Reported: 2010-10-15 15:41 by
Modified: 2010-10-23 08:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-10-15 15:41:35
The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/gnome-subtitles line 9:
export LD_LIBRARY_PATH="$libdir/gnome-subtitles:$LD_LIBRARY_PATH"

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.


Fixed in git: 
http://git.gnome.org/browse/gnome-subtitles/commit/?id=44370dc2a87f7fa0d6c9730979514bd407a37c65
------- Comment #1 From 2010-10-23 08:42:29 -------
gnome-subtitles-1.0-alt1.git.75.gcf1c9d0 -> sisyphus:

* Fri Oct 15 2010 Ildar Mulyukov <ildar@altlinux> 1.0-alt1.git.75.gcf1c9d0
- new version
- fix CVE-2010-3357 (closes: #24316)